<!DOCTYPE html>
<html lang="en-us">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>Unity WebGL Player | staff-only-game</title>
    <link rel="shortcut icon" href="TemplateData/favicon.ico">
    <link rel="stylesheet" href="TemplateData/style.css">
  </head>
  <body>
    <div id="unity-container" class="unity-desktop">
      <canvas id="unity-canvas" width=390 height=743 tabindex="-1"></canvas>
      <div id="unity-loading-bar">
        <div id="unity-logo"></div>
        <div id="unity-progress-bar-empty">
          <div id="unity-progress-bar-full"></div>
        </div>
      </div>
      <div id="unity-warning"> </div>
      </div>
    </div>
    <script>
      var container = document.querySelector("#unity-container");
      var canvas = document.querySelector("#unity-canvas");
      var loadingBar = document.querySelector("#unity-loading-bar");
      var progressBarFull = document.querySelector("#unity-progress-bar-full");
      var fullscreenButton = document.querySelector("#unity-fullscreen-button");
      var warningBanner = document.querySelector("#unity-warning");
  
      function unityShowBanner(msg, type) {
          function updateBannerVisibility() {
              warningBanner.style.display = warningBanner.children.length ? 'block' : 'none';
          }
          var div = document.createElement('div');
          div.innerHTML = msg;
          warningBanner.appendChild(div);
          if (type == 'error') div.style = 'background: red; padding: 10px;';
          else {
              if (type == 'warning') div.style = 'background: yellow; padding: 10px;';
              setTimeout(function () {
                  warningBanner.removeChild(div);
                  updateBannerVisibility();
              }, 5000);
          }
          updateBannerVisibility();
      }
  
      var buildUrl = "Build";
      var loaderUrl = buildUrl + "/StaffOnly_showcase v1 default.loader.js";
      var config = {
          dataUrl: buildUrl + "/StaffOnly_showcase v1 default.data",
          frameworkUrl: buildUrl + "/StaffOnly_showcase v1 default.framework.js",
          codeUrl: buildUrl + "/StaffOnly_showcase v1 default.wasm",
          streamingAssetsUrl: "StreamingAssets",
          companyName: "DefaultCompany",
          productName: "staff-only-game",
          productVersion: "1.0",
          showBanner: unityShowBanner,
      };
  
      function resizeCanvas() {
          var aspectRatio = 390 / 743;
          var newHeight = window.innerHeight;
          var newWidth = newHeight * aspectRatio;
          canvas.style.width = newWidth + "px";
          canvas.style.height = newHeight + "px";
          canvas.width = newWidth;
          canvas.height = newHeight;
      }
  
      if (/iPhone|iPad|iPod|Android/i.test(navigator.userAgent)) {
          var meta = document.createElement('meta');
          meta.name = 'viewport';
          meta.content = 'width=device-width, height=device-height, initial-scale=1.0, user-scalable=no, shrink-to-fit=yes';
          document.getElementsByTagName('head')[0].appendChild(meta);
          container.className = "unity-mobile";
          canvas.className = "unity-mobile";
          canvas.style.width = '100%';
          canvas.style.height = '100%';
      } else {
          window.addEventListener('resize', resizeCanvas);
      }
  
      loadingBar.style.display = "block";
  
      var script = document.createElement("script");
      script.src = loaderUrl;
      script.onload = () => {
          createUnityInstance(canvas, config, (progress) => {
              progressBarFull.style.width = 100 * progress + "%";
          }).then((unityInstance) => {
              loadingBar.style.display = "none";
              resizeCanvas();
          }).catch((message) => {
              alert(message);
          });
      };
  
      document.body.appendChild(script);
  </script>
  </body>
  </html>
